org.apache.solr.client.solrj.request

## Class DirectXmlRequest

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<UpdateResponse>
  - - org.apache.solr.client.solrj.request.DirectXmlRequest

All Implemented Interfaces:
  Serializable, IsUpdateRequest

    public class DirectXmlRequest
    extends SolrRequest<UpdateResponse>
    implements IsUpdateRequest

Send arbitrary XML to a request handler

Since:
  solr 1.3
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS, useBinaryV2, usev2`

### Constructor Summary

Constructors
Constructor and Description
`DirectXmlRequest(String path, String body)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected UpdateResponse` `createResponse(SolrClient client)` Create a new SolrResponse to hold the response from the server
`RequestWriter.ContentWriter` `getContentWriter(String expectedType)` If a request object wants to do a push write, implement this method.
`SolrParams` `getParams()`
`void` `setParams(SolrParams params)`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getBasePath, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, getUserPrincipal, process, process, setBasePath, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback, setUseBinaryV2, setUserPrincipal, setUseV2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DirectXmlRequest

    public DirectXmlRequest(String path,
                            String body)

### Method Detail

#### getContentWriter

    public RequestWriter.ContentWriter getContentWriter(String expectedType)

Description copied from class: `SolrRequest`
If a request object wants to do a push write, implement this method.

Overrides:
  `getContentWriter` in class `SolrRequest<UpdateResponse>`
Parameters:
  `expectedType` - This is the type that the RequestWriter would like to get. But, it is OK to send any format

#### createResponse

    protected UpdateResponse createResponse(SolrClient client)

Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server

Specified by:
  `createResponse` in class `SolrRequest<UpdateResponse>`
Parameters:
  `client` - the `SolrClient` the request will be sent to

#### getParams

    public SolrParams getParams()

Specified by:
  `getParams` in class `SolrRequest<UpdateResponse>`

#### setParams

    public void setParams(SolrParams params)